
<p-table
  *ngIf="stats" 
  [value]="stats" 
  [loading]="loading"
  [rows]="30" 
  [showCurrentPageReport]="true"
  styleClass="p-datatable-sm"
  [scrollable]="true" scrollHeight="flex"
  >
  <ng-template pTemplate="caption">
    <div>
      <form class="flex" [formGroup]="formGroup">
        <span *ngIf="!formGroup.controls['playerFilter'].disabled" class="p-float-label">
          <p-dropdown [style]="{ width: '11rem' }" [filter]="true" appendTo="body" formControlName="playerFilter" [options]="playerFilter" 
          placeholder="Select a playerFilter" inputId="float-label" optionLabel="name"></p-dropdown>
          <label class="label-mobile" for="float-label">Filter by player</label>
        </span>

        <span class="p-float-label">
          <p-dropdown [style]="{ width: '11rem' }" [filter]="true" appendTo="body" formControlName="teamFilter" 
          [options]="teamFilter" placeholder="Select a teamFilter" optionLabel="name"></p-dropdown>
          <label class="label-mobile" for="float-label">Filter by team</label>
        </span>

        <span class="p-float-label">
          <p-dropdown [style]="{ width: '11rem' }" appendTo="body" formControlName="cap" [options]="cap" placeholder="Select a cap" optionLabel="name"></p-dropdown>
          <label class="label-mobile" for="float-label">Filter by cap</label>
        </span>

        <span class="p-float-label">
          <p-dropdown [style]="{ width: '11rem' }" appendTo="body" formControlName="seasonFilter" [options]="seasonFilter" placeholder="Select a part of Season Filter" optionLabel="name"></p-dropdown>
          <label class="label-mobile" for="float-label">Part of the season</label>
        </span>
        
        <span class="p-float-label">
          <p-dropdown [style]="{ width: '11rem' }" appendTo="body" formControlName="season" [options]="seasonsFilter" placeholder="Select a Season"></p-dropdown>
          <label class="label-mobile" for="float-label">Filter by Season</label>
        </span>
        
        <!-- <label for="float-label">Select a playerFilter</label> -->
        <!-- <p-dropdown formControlName="teamFilter" [options]="teamFilter" placeholder="Select a teamFilter"></p-dropdown>
        <p-dropdown formControlName="cap" [options]="cap" placeholder="Select a cap" optionLabel="name"></p-dropdown>
        <p-dropdown formControlName="seasonFilter" [options]="seasonFilter" placeholder="Select a Season Filter" optionLabel="name"></p-dropdown>
        <p-dropdown formControlName="season" [options]="seasonsFilter" placeholder="Select a Season"></p-dropdown> -->
      </form>
    </div>
  </ng-template>

  <ng-template pTemplate="header">
    <tr>
      <th pSortableColumn="name" style="width:20%">Team
        <p-sortIcon field="name"></p-sortIcon>
      </th>
      <th pSortableColumn="g">G
        <p-sortIcon field="g"></p-sortIcon>
      </th>
      <th pSortableColumn="mp">Mp
        <p-sortIcon field="mp"></p-sortIcon>
      </th>
      <th pSortableColumn="pts">Pts
        <p-sortIcon field="pts"></p-sortIcon>
      </th>
      <th pSortableColumn="trb">Trb
        <p-sortIcon field="trb"></p-sortIcon>
      </th>
      <th pSortableColumn="drb">Drb
        <p-sortIcon field="drb"></p-sortIcon>
      </th>
      <th pSortableColumn="orb">Orb
        <p-sortIcon field="orb"></p-sortIcon>
      </th>
      <th pSortableColumn="ast">Ast
        <p-sortIcon field="ast"></p-sortIcon>
      </th>
      <th pSortableColumn="fg">Fg
        <p-sortIcon field="fg"></p-sortIcon>
      </th>
      <th pSortableColumn="fga">Fga
        <p-sortIcon field="fga"></p-sortIcon>
      </th>
      <th pSortableColumn="fg3">Fg3
        <p-sortIcon field="fg3"></p-sortIcon>
      </th>
      <th pSortableColumn="fg3a">Fg3a
        <p-sortIcon field="fg3a"></p-sortIcon>
      </th>
      <th pSortableColumn="ft">Ft
        <p-sortIcon field="ft"></p-sortIcon>
      </th>
      <th pSortableColumn="fta">Fta
        <p-sortIcon field="fta"></p-sortIcon>
      </th>
      <th *ngIf="isOfensive" pSortableColumn="usg">Usg
        <p-sortIcon field="usg"></p-sortIcon>
      </th>


      
      <!-- <th>Team</th> -->
      <!-- <th>G</th> -->
      <!-- <th>Pts</th> -->
      <!-- <th>Trb</th> -->
      <!-- <th>Drb</th> -->
      <!-- <th>Orb</th> -->
      <!-- <th>Ast</th> -->
      <!-- <th>Fg</th> -->
      <!-- <th>Fga</th> -->
      <!-- <th>Fg3</th> -->
      <!-- <th>Fg3a</th> -->
      <!-- <th>Ft</th> -->
      <!-- <th>Fta</th> -->
      <!-- <th>Mp</th> -->
    </tr>
  </ng-template>
  <ng-template pTemplate="body" let-stats>
    <tr>
      <td>{{ stats.name }}</td>
      <td>{{ stats.g }}</td>
      <td>{{ stats.mp | number : '1.1-1'}}</td>
      <td>{{ stats.pts | number : '1.1-1'  }}</td>
      <td>{{ stats.trb | number : '1.1-1' }}</td>
      <td>{{ stats.drb | number : '1.1-1' }}</td>
      <td>{{ stats.orb | number : '1.1-1' }}</td>
      <td>{{ stats.ast | number : '1.1-1' }}</td>
      <td>{{ stats.fg | number : '1.1-1' }}</td>
      <td>{{ stats.fga | number : '1.1-1' }}</td>
      <td>{{ stats.fg3 | number : '1.1-1' }}</td>
      <td>{{ stats.fg3a | number : '1.1-1' }}</td>
      <td>{{ stats.ft | number : '1.1-1' }}</td>
      <td>{{ stats.fta | number : '1.1-1' }}</td>
      <td *ngIf="isOfensive">{{ stats.usg | number : '1.1-1' }}</td>
    </tr>
  </ng-template>
  <!-- <ng-template pTemplate="paginatorleft">
      <p-button type="button" icon="pi pi-plus" styleClass="p-button-text"></p-button>
  </ng-template>
  <ng-template pTemplate="paginatorright">
      <p-button type="button" icon="pi pi-cloud" styleClass="p-button-text"></p-button>
  </ng-template> -->
</p-table>
<pre *ngIf="!isOfensive">
  BP = Best Player
  Driver = Driver
  BHD = Ball Handler Driver
  BHS = Ball Handler Shooter
  CP = Center Paint
  CS = Center Shooter
  MS = Mixed Screen/SpotUp Shooter
  SU = SpotUp Shooter
  SUS = SpotUp Shooter Starter
</pre>